# QListWidgetItem Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QListWidgetItem(QListWidget view, int type)
- void QListWidgetItem(QIcon icon, String text, QListWidget view, int type)
- void QListWidgetItem(String text, QListWidget view, int type)

### Constructor Properties

- prototype: The QListWidgetItem prototype object
- Type = 0
- UserType = 1000
- ItemType( value )

### Prototype Object Properties

- QBrush background()
- CheckState checkState()
- QListWidgetItem clone()
- Object data(int role)
- ItemFlags flags()
- QFont font()
- QBrush foreground()
- QIcon icon()
- bool isHidden()
- bool isSelected()
- QListWidget listWidget()
- void readFrom(QDataStream in)
- void setBackground(QBrush brush)
- void setCheckState(CheckState state)
- void setData(int role, Object value)
- void setFlags(ItemFlags flags)
- void setFont(QFont font)
- void setForeground(QBrush brush)
- void setHidden(bool hide)
- void setIcon(QIcon icon)
- void setSelected(bool select)
- void setSizeHint(QSize size)
- void setStatusTip(String statusTip)
- void setText(String text)
- void setTextAlignment(int alignment)
- void setToolTip(String toolTip)
- void setWhatsThis(String whatsThis)
- QSize sizeHint()
- String statusTip()
- String text()
- int textAlignment()
- String toolTip()
- int type()
- String whatsThis()
- void writeTo(QDataStream out)

### Instance Properties

QListWidgetItem objects have no special properties beyond those inherited from the QListWidgetItem prototype object.